JSPostfixTemplateUtils in some casses missing in WebStorm

Answered

I've written a plugin (Custom Postfix Templates) that provides postfix completion templates for JavaScript and other languages. In IDEA everything runs fine. However, some users reported a ClassNotFoundException in WebStorm. The missing class is:

com/intellij/lang/javascript/template/postfix/JSPostfixTemplateUtils

Unfortunately I could not reproduce this exception in my WebStorm instance. On my computer everything runs fine. So I wonder if there are different editions of WebStorm and some of them without JavaScript support?

The full exception can be found here: https://github.com/xylo/intellij-postfix-templates/issues/148

2 comments
Comment actions Permalink

Hi. Even if the user uses WebStorm they can disable the javascript plugin. So you need to specify the templates as an optional dependency (similar to withJavaModule and etc).

0
Comment actions Permalink

Thanks for your reply, Andrey.  I actually thought I made it optional, but it looks like I forgot it.  Thanks.

0

Please sign in to leave a comment.